/* STYLE GLOBALNE */
*{
    box-sizing: border-box;
}
html{
    scroll-behavior: smooth;
}
body{
    background-color: #F5E1E7;
    color: hsl(25, 30%, 17%);
    line-height: 1.6;
}

a{
    text-decoration: none;
    color: inherit;
}
img{
    max-width: 100%;
    display: block;
}

/*NAWIGACJA*/
.nav{
    display: flex;
    justify-content: space-between;
    align-items: center;
    color: #F5E1E7;
    background-color: white;

}

.nav ul{
    display: flex;
    list-style: none;
    gap: 50px;
    font-size: 20px;
    font-family: "Borel", cursive;
    padding-right: 50px;
}

.nav li:hover{
    cursor: pointer;
    color: #392A1F;
}

.nav ul li a{
    text-decoration: none;
    color: inherit;
    cursor: pointer;
}

.logo img{
    height: 100px;
}

/* WSZYSTKIE SEKCJE */
section{
    min-height: 90vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 40px;
}
.zawartosc{
    max-width: 100%;
    display: flex;
    align-items: center;
}

/*SEKCJE*/
#sekcja1{
    background-color: #fff;
}
.home{
    background-color: white;
}
.home .zawartosc{
    flex-wrap: wrap;
}
.home article{
   flex: 2 2 200px;
}
.home-text{
    flex: 3 3 300px;
}

h1{
    font-size: 60px;
    margin-bottom: 10px;
    font-family: "Ultra", serif;
    color: #392A1F;
    line-height: 65px;
}
.coffee {
    font-size: 60px;
    font-family: "Ultra", serif;
    color: #EDDAB4;
}
.name{
    font-family: "Borel", cursive;
    font-size: 30px;
    white-space: nowrap;
}

h3{
    font-family: "Borel", cursive;
    font-size: 18px;
    color: #392A1F;
}
/***********************************/
.beans{}
.beans h2{
    background: #392A1F;
    color: #F5E1E7;
    padding: 5px 40px;
    border-top-left-radius: 40px;
    border-top-right-radius: 40px;
    font-size: 40px;
    align-self: flex-end;
    font-family: "Inter", sans-serif;
    font-weight: 600;
}
.beans .zawartosc{
    background: #392A1F;
    color: #F5E1E7;
    padding: 80px;
    border-radius: 30px;
    border-top-right-radius: 0;
    flex-wrap: wrap-reverse;
}
.beans article{
    flex: 3 1 300px;
}
.beans article h3{
    color: white;
    font-size: 40px;
    font-family: "Ultra", serif;
}
.beans article p{
    margin-top: 20px;
    font-family: "Inter", sans-serif;
}
.beans aside{
    flex: 1 1 200px;
    padding: 40px;
}
.beans aside img{}

.history{}

.history h2{ /*jak wyrównać zakładkę z boxem*/
    background: #C4D6E0;
    color: #F5E1E7;
    padding: 5px 40px;
    border-top-left-radius: 40px;
    border-top-right-radius: 40px;
    font-size: 40px;
    align-self: flex-start;
    font-family: "Inter", sans-serif;
    font-weight: 600;

}

.history .zawartosc{
    background: #C4D6E0;
    color: #392A1F;
    padding: 80px;
    border-radius: 30px;
    border-top-left-radius: 0;
    flex-wrap: wrap-reverse;
    flex-direction: row-reverse;
}

.history article{
    flex: 3 1 300px;
}

.history article h3{
    color: #392A1F;
    font-size: 40px;
    font-family: "Ultra", serif;
}

.history article p{
    margin-top: 20px;
    font-family: "Inter", sans-serif;
}

.pogrubione-p{
    font-weight: bold;
    font-family: "Inter", sans-serif;
}

.history aside{
    flex: 1 1 200px;
    padding: 40px;
}

.history aside img{}

.break{
    background-image: url("../img/condensed-milk-bg.jpg");
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    padding: 120px;
    margin: 60px;
    text-align: center;
    border-radius: 40px;
    color: #392A1F;
    line-height: 100px;
}

.break h3{
    margin-bottom: 20px;
    font-family: "Ultra", serif;
    font-size: 49px;
}

.break p{
    font-family: "Borel", cursive;
    font-size: 35px;
    line-height: 130px;
}

.break h4{
   font-family: "Ultra", serif;
   font-size: 39px;
}

.recipe{}

.recipe h2{
    background: #918C77;
    color: #F5E1E7;
    padding: 5px 40px;
    border-top-left-radius: 40px;
    border-top-right-radius: 40px;
    font-size: 40px;
    align-self: flex-end;
    font-family: "Inter", sans-serif;
    font-weight: 600;

}
/*dlaczego box sie nie zawija jak przy beans*/

.recipe .zawartosc{
    display: flex;
    background: #918C77;
    color: #392A1F;
    padding: 80px;
    border-radius: 30px;
    border-top-right-radius: 0;
    flex-direction: column;
    align-items: center;
    flex-wrap: wrap-reverse;
}

.recipe h3{
    font-family:  "Ultra", serif;
    font-size: 49px;
    color: #EDDAB4;
    text-align: center;
}

.recipe-box{
    display: flex;
    flex-wrap: wrap;
    gap: 40px;
    margin-top: 50px;
    width: 100%;
    border: 3.47px;
    border-color: #392A1F;
}

.ingredients{
    background: #EDDAB4;
    padding: 40px;
    border-radius: 30px;
    flex: 1 1 50px;
    border: 4px solid;
    font-size: 28px;
}

.preparation{
    background: #EDDAB4;
    padding: 40px;
    border-radius: 30px;
    flex: 1 1 300px;
    box-shadow: #392A1F;
    border: 4px solid;
    font-size: 28px;  /*tekst - jak zmienic rozmiar*/
}

.recipe h4{
    font-family:  "Ultra", serif;
    font-size: 28px;
    margin-bottom: 20px;
    color: #392A1F;
}

.recipe ul{
    font-family: "Inter", sans-serif;
    line-height: 1.6;
    margin-left: 20px;
    font-size: 18px;
}

.recipe ol{
    font-family: "Inter", sans-serif;
    line-height: 1.6;
    margin-left: 20px;
    font-size: 18px;
}

#sekcja5{
    background-color: #E7CAD3;
}
.shop{
    position: relative;
    text-align: center;
    padding: 120px 60px 80px;
    background-color: #E7CAD3;
    flex-wrap: wrap-reverse;
}
.shop h2{
    position: absolute;
    top: -100px;
    left: 3%;
    background-color: #E7CAD3;
    color: #392A1F;
    padding: 10px 60px;
    border-top-left-radius: 40px;
    border-top-right-radius: 40px;
    font-size: 40px;
    font-family: "Inter", sans-serif;
    font-weight: 600;
}
.shop h3{
    font-family:  "Ultra", serif;
    font-size: 49px;
    margin-bottom: 40px;
    color: #392A1F;
}

.shop-grid{
    display: flex;
    gap: 40px;
    justify-content: center;
    margin-top: 30px;
    flex-wrap: wrap;
}
.shop-item{
    width: 220px;
    border-radius: 25px;
    background: transparent;
    padding-bottom: 18px;
}
.shop button{}

.image-box{
    position: relative;
    width: 100%;
    height: 220px;
    border-radius: 25px;
    overflow: hidden;
}
.image-box img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: filter 0.3s ease, transform 0.3s ease;
    /*jak je rozsunac*/
}

.overlay{
    position: absolute;
    inset: 0;
    color: white;
    display: flex;
    justify-content: center;
    align-items: center;
    opacity: 0;
    text-align: center;
    transition: opacity 0.3s ease;
    padding: 20px;
    font-family: "Inter", sans-serif;
    font-size: 18px;
}

.shop-item:hover img{
    filter: blur(4px);
}

.shop-item:hover .overlay{
    opacity: 1;
}

.shop a{
    margin-top: 24px;
    border-radius: 20px;
    border: none;
    background: #392A1F;
    color: #F5E1E7;
    font-family: "Borel", cursive;
    font-size: 25px;
    cursor: pointer;
    line-height: 50%;
    display: block;
    padding: 25px 50px 10px;
}
.shop a:hover{
    color: #E7CAD3;
}


.footer{
    background: #C4D6E0;
    padding: 60px 80px 30px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    border-top: 50px dashed #E7CAD3;
}
.footer .zawartosc{
    max-width: 1400px;
    width: 100%;
    /* background-color: red; */
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
}

.footer-left{
    display: flex;
    gap: 20px;
    align-items: flex;
    /* background-color: red; */
}
.footer .logo{
    /* background-color: blue; */
}
.footer .logo img{
    height: 200px;
    display: block;
}

.footer-nav{
    list-style: none;
    font-family: "Inter", sans-serif;
    font-weight: bold;
    /* background-color: green; */
    display: flex;
    flex-direction: column;
    gap:10px;
    justify-content: center;
}

.footer-nav ul li a{ 
    margin-bottom: 8px;
    text-decoration: none;  /*nie działa?*/
    color: inherit;
    cursor: pointer;
}


.footer-right{
    /* background-color: yellow; */
}
.footer-right h4{
    margin-bottom: 10px;
    font-family: "Borel", cursive;
    font-size: 31px;
    padding-right: 50px; /*zeby odsunac na srodek bardziej? jak zrobic send pod spodem*/
}

.contact-form{
    display: flex;
    gap: 10px;
    color: rgb(183, 182, 182);
}

.contact-form input{
    padding: 8px 14px;
    border-radius: 20px;
    border: none;
    border: 5px solid #E7CAD3;
}

.contact-form button{
    padding: 25px 50px 10px;
    min-width: 110px;
    border-radius: 30px;
    border: none;
    background: #E7CAD3;
    cursor: pointer;
    font-family: "Borel", cursive;
    font-size: 19px;
    display: flex;
    align-items: center;
    justify-content: center;
    line-height: 50%;
    display: block;
}

.contact-form button:hover{
    color: #F5E1E7;
}

.footer-bottom{
    width: 100%;
    text-align: center;
    margin-top: 40px;
    font-size: 10px;
    opacity: 0.7;
    font-family: "Inter", sans-serif;
    color: white;
}



